## mgedcom 0.74-1

=== debian/changelog ===
mgedcom (0.74-1) stable; urgency=low

  Unicode support added

 -- Darren Enns <dmenns1@gmail.com>  Tue, 09 Jun 2009 14:12:35 +0000
