=== debian/control ===
Source: mgedcom
Section: user/other
Priority: extra
Maintainer: Darren Enns <dmenns1@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: mgedcom
Architecture: all
Depends: python2.5,python2.5-gtk2,python2.5-hildon
Description: Maemo-based GEDCOM Viewer/Editor
