=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/mgedcom" install
	mkdir -p "$(CURDIR)/debian/mgedcom"

#	mkdir -p "$(CURDIR)/debian/mgedcom/home/user/.mgedcom/"
	cp -a "mgedcom/home/user/.mgedcom/fake.dot" "$(CURDIR)/debian/mgedcom/home/user/.mgedcom/fake.dot"
	mkdir -p "$(CURDIR)/debian/mgedcom/home/user/.mgedcom/"
	cp -a "mgedcom/home/user/.mgedcom/fake.ged" "$(CURDIR)/debian/mgedcom/home/user/.mgedcom/fake.ged"
	mkdir -p "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/"
	cp -a "mgedcom/usr/lib/mgedcom/COPYING" "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/COPYING"
	mkdir -p "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/"
	cp -a "mgedcom/usr/lib/mgedcom/README" "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/README"
	mkdir -p "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/"
	cp -a "mgedcom/usr/lib/mgedcom/gedcom.py" "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/gedcom.py"
	mkdir -p "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/"
	cp -a "mgedcom/usr/lib/mgedcom/mgedcom.jpg" "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/mgedcom.jpg"
	mkdir -p "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/"
	cp -a "mgedcom/usr/lib/mgedcom/mgedcom.py" "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/mgedcom.py"
	mkdir -p "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/"
	cp -a "mgedcom/usr/lib/mgedcom/xdot.py" "$(CURDIR)/debian/mgedcom/usr/lib/mgedcom/xdot.py"
	mkdir -p "$(CURDIR)/debian/mgedcom/usr/share/pixmaps/"
	cp -a "mgedcom/usr/share/pixmaps/mgedcom.png" "$(CURDIR)/debian/mgedcom/usr/share/pixmaps/mgedcom.png"
	mkdir -p "$(CURDIR)/debian/mgedcom/usr/share/applications/hildon/"
	cp -a "mgedcom/usr/share/applications/hildon/mgedcom.desktop" "$(CURDIR)/debian/mgedcom/usr/share/applications/hildon/mgedcom.desktop"
	mkdir -p "$(CURDIR)/debian/mgedcom/usr/bin/"
	cp -a "mgedcom/usr/bin/mgedcom" "$(CURDIR)/debian/mgedcom/usr/bin/mgedcom"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
